module LifePex::Systems::ApiList
  @@api_routes = []

  def self.included(m)
    all_routes = m.routes.map do |verb, group|
      group.map { |e| { verb: verb, path: e.first.to_s } }
    end.flatten
    api_routes = all_routes.filter { |route| route[:path].match?(/\/api/) }
    api_routes.each { |route| @@api_routes << route }
  end

  def self.get_all_api_routes
    @@api_routes
  end
end
